@inproceedings{ball01,
author = {Thomas Ball and Sriram K. Rajamani},
title = {The {SLAM} Toolkit},
booktitle = {13th Int.\ Conf.\ on Computer Aided Verification (CAV~2001)},
year = {2001},
pages = {260--264},
publisher = {Springer},
series = {LNCS},
volume = {2102},
address = {Paris, France},
}

@article{cegar,
 author = {S. Chaki and E. Clarke and A. Groce and S. Jha and H. Veith},
 title = {Modular Verification of Software Components in {C}},
 journal = {IEEE Transactions on Software Engineering},
 volume = {30},
 number = {6},
 year = {2004},
 pages = {388--402},
 publisher = {IEEE Press},
 address = {Piscataway, USA},
}

@ARTICLE{carreira99, 
author={Carreira, J.V. and Costa, D. and Silva, J.G.}, 
journal={Spectrum, IEEE},
title={Fault injection spot-checks computer system dependability}, 
year={1999}, 
month={aug}, 
volume={36}, 
number={8}, 
pages={50 -55}, 
keywords={Swift tools;computer system dependability;dependability benchmarks;fault handling mechanisms;fault injection;fault tolerance;performance testing;software bugs;computer testing;fault tolerant computing;performance evaluation;}, 
ISSN={0018-9235}
}

@inproceedings{chandra02,
 author = {S. Chandra and P. Godefroid and C. Palm},
 title = {Software model checking in practice: an industrial case study},
 booktitle= "Proc.\ 24th Int.~Conf.~on Software Engineering (ICSE~2002)",
 year = {2002},
 pages = {431--441},
 publisher = {ACM},
 address = {New York, USA},
}

@TECHREPORT{Yang08inspect:a,
    author = {Yu Yang and Xiaofang Chen and Ganesh Gopalakrishnan},
    title = {Inspect: A Runtime Model Checker for Multithreaded {C} Programs},
    institution = {},
    year = {2008}
}

@article{havelund00model,
    author = "Klaus Havelund and Thomas Pressburger",
    title = "Model Checking {Java} Programs using {Java PathFinder}",
    journal = "International Journal on Software Tools for Technology Transfer",
    volume = "2",
    number = "4",
    pages = "366-381",
    year = "2000"
}

@article{zelkowitz73,
 author = {M. Zelkowitz},
 title = {Reversible execution},
 journal = {Commun. ACM},
 volume = {16},
 number = {9},
 year = {1973},
 pages = {566},
 publisher = {ACM Press},
 address = {New York, USA},
}

@ARTICLE{tsai94,
   author = {{Tsai}, T.~K. and {Iyer}, R.~K.},
    title = "{FTAPE: A fault injection tool to measure fault tolerance}",
  journal = {NASA STI/Recon Technical Report N},
 keywords = {COMPUTER SYSTEMS PERFORMANCE, FAULT TOLERANCE, PERFORMANCE TESTS, PROGRAM VERIFICATION (COMPUTERS), SOFTWARE TOOLS, CENTRAL PROCESSING UNITS, FAILURE ANALYSIS},
     year = 1994,
    month = jul,
   volume = 95,
    pages = {25333-+}
}

@INPROCEEDINGS{icse,
title={Verifying Networked Programs Using a Model Checker Extension},
author={Watcharin Leungwattanakit and Cyrille Artho and Masami Hagiya and Yoshinori Tanabe and Mitsuharu Yamamoto},
booktitle={ICSE Companion proceedings},
year={2009},
pages = {409-410},
ADDRESS = "Vancouver, Canada"
}

@inproceedings{ball10,
  author    = {Thomas Ball and
               Sebastian Burckhardt and
               Katherine E. Coons and
               Madanlal Musuvathi and
               Shaz Qadeer},
  title     = {Preemption Sealing for Efficient Concurrency Testing},
  booktitle = {TACAS' 10},
  year      = {2010},
  pages     = {420-434}
}

@inproceedings{musuvathi08,
 author = {Musuvathi, Madanlal and Qadeer, Shaz and Ball, Thomas and Basler, Gerard and Nainar, Piramanayagam Arumuga and Neamtiu, Iulian},
 title = {Finding and reproducing Heisenbugs in concurrent programs},
 booktitle = {Proc.\ 8th USENIX conference on Operating systems design and implementation (OSDI~2008)},
 year = {2008},
 location = {San Diego, California},
 pages = {267--280},
 numpages = {14},
 publisher = {USENIX Association},
 address = {Berkeley, CA, USA},
} 

@inproceedings{hunt07,
 author = {Hunt, Galen and Aiken, Mark and F\"{a}hndrich, Manuel and Hawblitzel, Chris and Hodson, Orion and Larus, James and Levi, Steven and Steensgaard, Bjarne and Tarditi, David and Wobber, Ted},
 title = {Sealing OS processes to improve dependability and safety},
 booktitle = {Proc.\ 2nd ACM SIGOPS/EuroSys European Conference on Computer Systems 2007},
 series = {EuroSys '07},
 year = {2007},
 isbn = {978-1-59593-636-3},
 location = {Lisbon, Portugal},
 pages = {341--354},
 numpages = {14},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {open process architecture, sealed kernel, sealed process architecture, software isolated process (SIP)},
} 

@Misc{RFC0768,
  author =	"J. Postel",
  title =	"{RFC 768}: User Datagram Protocol",
  day =  	"28",
  month =	aug,
  year = 	"1980",
  bibdate =	"Fri Jan 22 16:39:07 1999",
  URL =  	"ftp://ftp.internic.net/rfc/rfc768.txt,
		 ftp://ftp.math.utah.edu/pub/rfc/rfc768.txt",
  acknowledgement = "Nelson H. F. Beebe, University of Utah, Department
		 of Mathematics, 110 LCB, 155 S 1400 E RM 233, Salt Lake
		 City, UT 84112-0090, USA, Tel: +1 801 581 5254, FAX: +1
		 801 585 1640, +1 801 581 4148, e-mail:
		 \path|beebe@math.utah.edu|, \path|beebe@acm.org|,
		 \path|beebe@ieee.org| (Internet), URL:
		 \path|http://www.math.utah.edu/~beebe/|",
  format =	"TXT=5896 bytes",
  online =	"yes",
  status =	"STANDARD",
}

@inproceedings{Ansel_dmtcp:transparent,
 author = {Ansel, J. and Arya, K. and Cooperman, G.},
 title = {DMTCP: Transparent checkpointing for cluster computations and the desktop},
 booktitle = {Proc.\ 2009 IEEE International Symposium on Parallel \& Distributed Processing},
 year = {2009},
 isbn = {978-1-4244-3751-1},
 pages = {1--12},
 numpages = {12},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
} 

@INPROCEEDINGS{rieker06,
    author = {Michael Rieker and Jason Ansel},
    title = {Transparent user-level checkpointing for the Native {POSIX} Thread Library for {Linux}},
    booktitle = {Proc. of The 2006 International Conference on Parallel and Distributed Processing Techniques and Applications},
    year = {2006},
    pages = {492--498}
}

@inproceedings{artho-tools2008,
  author={C. Artho and W. Leungwattanakit and M. Hagiya and Y. Tanabe},
  title ={Efficient Model Checking of Networked Applications},
  booktitle={Proc.\ TOOLS~EUROPE~2008},
  year={2008},
  pages={22--40},
  publisher={Springer},
  series={LNBIP},
  volume={19},
  address={Zurich, Switzerland},
}

@MISC{sbuml,
TITLE = "http://sbuml.sourceforge.net/"}

@MANUAL{jpf:10,
TITLE = {JPF Wiki: Developer Guide},
AUTHOR = "{NASA Ames Research Center}",
YEAR = "2010",
URL = {http://babelfish.arc.nasa.gov/trac/jpf/wiki/devel/start}}

@MANUAL{qemu-manual,
TITLE = "{QEMU} Emulator User Documentation",
AUTHOR = "Fabrice Bellard",
YEAR = "2011",
URL = "http://qemu.weilnetz.de/qemu-doc.html"
}

@MISC{jsch,
author = "{JCraft, Inc.}",
title = "{JSch - Java Secure Channel}",
howpublished = "\url{http://www.jcraft.com/jsch/}"
}

@MISC{dropbear,
author = "Matt Johnston",
title = "{Dropbear SSH server and client}",
howpublished = "\url{http://matt.ucc.asn.au/dropbear/dropbear.html}"
}

@INPROCEEDINGS{artho:06,
AUTHOR = "C. Artho and P. Garoche",
TITLE = "Accurate centralization for applying model checking on networked applications",
 booktitle = {Proc.\ 2006 IEEE/ACM Int.\ Conf.\ on Automated Software Engineering (ASE~2006)},
YEAR = "2006",
pages = "177-188",
ADDRESS = "Tokyo, Japan"}

@BOOK{tanenbaum:92,
AUTHOR = "A. Tanenbaum",
TITLE = "Modern operating systems",
PUBLISHER = "Prentice-Hall",
YEAR = "1992"}

@BOOK{clarke:99,
AUTHOR = "E. Clarke and O. Grumberg and D. Peled",
TITLE = "Model Checking",
PUBLISHER = "MIT Press",
YEAR = "1999"}

@Book{stevens:04,
 author = {W.~Richard Stevens and Bill Fenner and Andrew~M. Rudoff},
 title = {UNIX Network Programming},
 volume = "1",
 edition = "3rd",
 publisher = {Addison-Wesley},
 year = {2004},
 address = {Boston},
 isbn = {9780131411555}
}

@book{liang99,
 author = {Liang, Sheng},
 title = {Java Native Interface: Programmer's Guide and Reference},
 year = {1999},
 isbn = {0201325772},
 edition = {1st},
 publisher = {Addison-Wesley Longman Publishing Co., Inc.},
 address = {Boston, MA, USA},
}

@book{forman04,
 author = {Forman, Ira R. and Forman, Nate},
 title = {Java Reflection in Action (In Action series)},
 year = {2004},
 isbn = {1932394184},
 publisher = {Manning Publications Co.},
 address = {Greenwich, CT, USA},
}

@ARTICLE{visser:03,
AUTHOR = "W. Visser and K. Havelund and G. Brat and S. Park and F. Lerda",
TITLE = "Model checking programs",
JOURNAL = "Automated Software Engineering Journal",
YEAR = "2003",
VOLUME = "10",
NUMBER = "2",
PAGES = "203-232"}

@INPROCEEDINGS{nakagawa:05,
AUTHOR = "Y. Nakagawa and R. Potter and M. Yamamoto and M. Hagiya and K. Kato",
TITLE = "Model checking of multi-process applications using {SBUML} and {GDB}",
BOOKTITLE = "Workshop on Dependable Software: Tools and Methods",
YEAR = "2005",
ADDRESS = "Yokohama, Japan",
PAGES = "215-220"}

@INPROCEEDINGS{sato:03,
AUTHOR = "O. Sato and R. Potter and M. Yamamoto and M. Hagiya",
TITLE = "{UML} scrapbook and realization of snapshot programming environment",
BOOKTITLE = "International Symposium on Software Security",
YEAR = "2003",
VOLUME = "3233 of LNCS",
PAGES = "281-295"}

@INPROCEEDINGS{barlas:07,
AUTHOR = "Elliot D. Barlas and Tevfik Bultan",
TITLE = "{NetStub}: A Framework for Verification of Distributed {Java} Applications",
BOOKTITLE = "Automated Software Engineering Conf.",
YEAR = "2007",
pages = {24--33},
ADDRESS = "Georgia, USA"}

@MISC{sun:07,
TITLE = {The {Java}$^{TM}$ Tutorials},
AUTHOR = {{Sun Microsystems, Inc.}}}

@BOOK{gosling:05,
AUTHOR = "J. Gosling and B. Joy and G. Steele and G. Bracha",
TITLE = "The {Java} Language Specification",
EDITION = "{Third}",
PUBLISHER = "Addison-Wesley",
YEAR = "2005"}

@inproceedings{ godefroid97model,
    author = "Patrice Godefroid",
    title = "Model Checking for Programming Languages using {Verisoft}",
    booktitle = "Symposium on Principles of Programming Languages",
    pages = "174-186",
    year = "1997"
}

@article{godefroid05,
 author = {Godefroid, Patrice},
 title = {Software Model Checking: The {VeriSoft} Approach},
 journal = {Form. Methods Syst. Des.},
 volume = {26},
 number = {2},
 year = {2005},
 issn = {0925-9856},
 pages = {77--101},
 doi = {http://dx.doi.org/10.1007/s10703-005-1489-x},
 publisher = {Kluwer Academic Publishers},
 address = {Hingham, MA, USA},
 }


@inproceedings{ godefroid97verisoft,
    author = "Patrice Godefroid",
    title = "{VeriSoft}: A Tool for the Automatic Analysis of Concurrent Reactive Software",
    booktitle = "Computer Aided Verification",
    pages = "476-479",
    year = "1997"
}

@inproceedings{ musuvathi:osdi:cmc,
  author = "Madanlal Musuvathi and David Park and Andy Chou and Dawson R. Engler and David L. Dill",
   year = "2002",
   month = dec,
   title = "{CMC: A Pragmatic Approach to Model Checking Real Code}",
   booktitle = "Proc.\ Fifth Symposium on Operating Systems Design and Implementation"
}

@MISC{vmware,
TITLE = "http://www.vmware.com/"}

@MISC{virtual-pc,
TITLE = "http://www.microsoft.com/windows/products/winfamily/virtualpc/default.mspx"}

@MISC{virtualbox,
author = "Oracle",
TITLE = "VirtualBox",
howpublished = "\url{http://www.virtualbox.org/}"
}

@article{378846,
 author = {Thomas Ball and Rupak Majumdar and Todd Millstein and Sriram K. Rajamani},
 title = {Automatic predicate abstraction of {C} programs},
 journal = {SIGPLAN Not.},
 volume = {36},
 number = {5},
 year = {2001},
 issn = {0362-1340},
 pages = {203--213},
 doi = {http://doi.acm.org/10.1145/381694.378846},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@misc{ henzinger03software,
  author = "T. Henzinger and R. Jhala and R. Majumdar and G. Sutre",
  title = "Software verification with {BLAST}",
  text = "Thomas A. Henzinger, Ranjit Jhala, Rupak Majumdar, and Gregoire Sutre.
    Software verification with {Blast}. In Tenth International Workshop on Model
    Checking of Software (SPIN), volume 2648 of Lecture Notes in Computer Science,
    pages 235--239. Springer-Verlag, 2003.",
  year = "2003"
}

@book{ger03,
	author = {Holzmann, Gerard  J. },
	citeulike-article-id = {689167},
	howpublished = {Hardcover},
	isbn = {0321228626},
	keywords = {checking, model},
	month = {September},
	priority = {2},
	publisher = {{Addison-Wesley Professional}},
	title = {The SPIN Model Checker: Primer and Reference Manual},
	url = {http://www.amazon.ca/exec/obidos/redirect?tag=citeulike09-20\&amp;path=ASIN/0321228626},
	year = {2003}
}

@misc{ artho-jnuke,
  author = "Cyrille Artho and Viktor Schuppan and Armin Biere and Pascal Eugster and
    Marcel Baur and Boris Zweim{\"u}ller",
  title = "{JNuke}: Efficient Dynamic Analysis for {J}ava"
}

@misc{ bruening99systematic,
  author = "D. Bruening",
  title = "Systematic testing of multithreaded Java programs",
  text = "Derek L. Bruening. Systematic testing of multithreaded Java programs. Master's
    thesis, Massachusetts Institute of Technology, 1999.",
  year = "1999"
}

@inproceedings{DBLP:conf/cav/DwyerHHR05,
  author    = {Matthew B. Dwyer and
               John Hatcliff and
               Matthew Hoosier and
               Robby},
  title     = {Building Your Own Software Model Checker Using the Bogor
               Extensible Model Checking Framework},
  booktitle = {CAV},
  year      = {2005},
  pages     = {148-152}
}

@inproceedings{1264317,
 author = {Cyrille Artho and Christian Sommer and Shinichi Honiden},
 title = {Model Checking Networked Programs in the Presence of Transmission Failures},
 booktitle = {TASE 2007: Proc.\ First Joint IEEE/IFIP Symposium on Theoretical Aspects of Software Engineering},
 year = {2007},
 isbn = {0-7695-2856-2},
 pages = {219--228},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA}
 }

@inproceedings{DBLP:conf/fm/ArthoBH06,
  author    = {Cyrille Artho and
               Armin Biere and
               Shinichi Honiden},
  title     = {Enforcer - Efficient Failure Injection},
  booktitle = {FM},
  year      = {2006},
  pages     = {412-427}
}

@proceedings{DBLP:conf/fm/2006,
  editor    = {Jayadev Misra and
               Tobias Nipkow and
               Emil Sekerinski},
  title     = {FM 2006: Formal Methods, 14th International Symposium on
               Formal Methods, Hamilton, Canada, August 21-27, 2006, Proceedings},
  booktitle = {FM},
  publisher = {Springer},
  series    = {Lecture Notes in Computer Science},
  volume    = {4085},
  year      = {2006},
  isbn      = {3-540-37215-6}
}

@MISC{jget,
AUTHOR = {S. Paredes},
TITLE = "Jget",
howpublished = {\url{http://www.cec.uchile.cl/~sparedes/jget/}}
}

@MISC{simple.webdav,
AUTHOR = {B.C. Holmes},
YEAR = {2000},
TITLE = "{A Simple PROPFIND/PROPPATCH Client}",
URL = {http://www.bcholmes.org/geek/slide-my-webdav-client.html}}

@MISC{http.client,
AUTHOR = {Ronald Tschalar},
YEAR = {2001},
TITLE = "{HTTPClient Version} 0.3-3",
URL = {http://www.innovation.ch/java/HTTPClient/}}

@INPROCEEDINGS{goland99,
	author = {Yaron Y Goland},
	title = {WebDAV: A network protocol for remote collaborative authoring on the web},
	booktitle = {Proc. of the Sixth European Conf. on Computer Supported Cooperative Work},
	year = {1999},
	pages = {12--16}
}

@INPROCEEDINGS{edw01,
    author = {Stephen A. Edwards and Tony Ma and Robert Damiano},
    title = {Using a hardware model checker to verify software},
    booktitle = {In Proc. of the 4th Int.\ Conf.\ on ASIC (ASICON)},
    year = {2001}
}

@book{duf91,
 author = {David A. Duffy},
 title = {Principles of automated theorem proving},
 year = {1991},
 isbn = {0-471-92784-8},
 publisher = {John Wiley \& Sons, Inc.},
 address = {New York, NY, USA},
 }

@INPROCEEDINGS{ball99,
    author = {Thomas Ball},
    title = {The concept of dynamic analysis},
    booktitle = {In Proceedings of ESEC/FSE '99 (7th European Software Engineering Conference and 7th ACM SIGSOFT International Symposium on the Foundations of Software Engineering, number 1687 in LNCS)},
    year = {1999},
    pages = {216--234}
}

@ARTICLE{bar01,
title={Providing early feedback in the development cycle through automated application of model checking to software architectures},
author={Barber, K.S. and Graser, T. and Holt, J.},
journal={Automated Software Engineering, 2001. (ASE 2001). Proceedings. 16th Annual Int.\ Conf.\ on},
year={2001},
month={Nov.},
volume={},
number={},
pages={ 341-345},
keywords={ formal specification, program verification, safety-critical software, software architecture, systems analysis Arcade, Architecture Analysis Dynamic Environment, automated application, automated approach, liveness evaluation, model checking, requirements analysis phase, requirements gathering, software analysts, software architecture evaluation tool, software architecture safety, software architecture specification, software developers, software development cycle, systems analysts},
doi={},
ISSN={1527-1366 }, }

@INPROCEEDINGS{jer97,
	author = {Dean F. Jerding and John T. Stasko and Thomas Ball},
	title = {Visualizing interactions in program executions},
	booktitle = {In Proceedings of ICSE'97},
	year = {1997},
	pages = {360--370}
}

@INPROCEEDINGS{wad98,
    author = {Oscar Waddell and J. Michael Ashley},
    title = {Visualizing the performance of higher-order programs},
    booktitle = {Proc.\ 1st Workshop on Program Analysis for Software Tools and Engineering (ACM SIGPLAN Notices)},
    year = {1998},
    pages = {75--82},
    publisher = {ACM Press}
}

@BOOK{eck06,
AUTHOR = "Bruce Eckel",
TITLE = "Thinking in {Java}",
EDITION = "{Fourth}",
PUBLISHER = "Prentice Hall PTR",
YEAR = "2006"}

@book{god96,
 author = {Patrice Godefroid},
 editor = {J. van Leeuwen and J. Hartmanis and G. Goos},
 title = {Partial-Order Methods for the Verification of Concurrent Systems: An Approach to the State-Explosion Problem},
 year = {1996},
 isbn = {3540607617},
 publisher = {Springer-Verlag New York, Inc.},
 address = {Secaucus, NJ, USA},
 }

@INPROCEEDINGS{ger95,
    author = {Rob Gerth and Ruurd Kuiper and Doron Peled and Wojciech Penczek},
    title = {A partial order approach to branching time logic model checking},
    booktitle = {Information and Computation},
    year = {1995},
    pages = {130--139}
}

@inproceedings{artho-snpd2008,
  author={C. Artho and W. Leungwattanakit and M. Hagiya and Y. Tanabe},
  title={Tools and Techniques for Model Checking Networked Programs},
  booktitle={Proc. SNPD~2008},
  year={2008},
  publisher={IEEE},
  address={Phuket, Thailand},
}

@book{dik06,
 author = {Jeff Dike},
 title = {User Mode {Linux}},
 year = {2006},
 isbn = {0131865056},
 publisher = {Prentice Hall PTR},
 }

@book{sta02,
 author = { Richard Stallman and  Roland Pesch and Stan Shebs},
 title = {Debugging with {GDB} : the {GNU} source-level debugger},
 year = {2002},
 isbn = {1882114884},
 publisher = {Boston, MA : Free Software Foundation},
 edition = "{9th}",
 }

@book{lindholm99,
 author = {Tim Lindholm and Frank Yellin},
 title = {Java Virtual Machine Specification},
 year = {1999},
 isbn = {0201432943},
 publisher = {Prentice Hall PTR},
 edition = "{2nd}",
 }

@book{dennis04,
 author = {Dennis and Barbara Haley Wixom and David Tegarden},
 title = {Systems Analysis and Design with {UML} Version 2.0: An Object-Oriented Approach},
 year = {2004},
 isbn = {0471348066},
 publisher = {Wiley},
 edition = "{2nd}",
 }

@book{myers79,
 author = {Glenford J Myers},
 title = {The art of software testing},
 year = {1979},
 isbn = {0471043281},
 publisher = {New York : Wiley},
 }

@article{ball06,
 author = {Thomas Ball and Ella Bounimova and Byron Cook and Vladimir Levin and Jakob Lichtenberg and Con McGarvey and Bohus Ondrusek and Sriram K. Rajamani and Abdullah Ustuner},
 title = {Thorough static analysis of device drivers},
 journal = {SIGOPS Oper. Syst. Rev.},
 volume = {40},
 number = {4},
 year = {2006},
 issn = {0163-5980},
 pages = {73--85},
 doi = {http://doi.acm.org/10.1145/1218063.1217943},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@inproceedings{bryant04,
 author = {R. E. Bryant and S. K. Rajamani},
 title = {Verifying properties of hardware and software by predicate abstraction and model checking},
 booktitle = {ICCAD '04: Proc.\ 2004 IEEE/ACM International conference on Computer-aided design},
 year = {2004},
 isbn = {0-7803-8702-3},
 pages = {437--438},
 doi = {http://dx.doi.org/10.1109/ICCAD.2004.1382615},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
 }

@ARTICLE{Cerf74aprotocol,
    author = {Vinton G. Cerf and Robert and E. Icahn},
    title = {A Protocol for Packet Network Intercommunication},
    journal = {IEEE Transactions on Communications},
    year = {1974},
    volume = {22},
    pages = {637--648}
}

@Book{ghosh2006,
 author = {Ghosh, Sukumar},
 title = {Distributed Systems: an Algorithmic Approach},
 publisher = {Twayne Publishers},
 year = {2006},
 address = {Boston},
 isbn = {9781584885641}
 }

@INPROCEEDINGS{nfm,
title={Introduction of Virtualization Technology to Multi-Process Model Checking},
author={Watcharin Leungwattanakit and Cyrille Artho and Masami Hagiya and Yoshinori Tanabe and Mitsuharu Yamamoto},
booktitle={NASA Conference Publication},
year={2009},
ADDRESS = "California, USA"
}

@inproceedings{ase-2009,
 author = {Artho, Cyrille and Leungwattanakit, Watcharin and Hagiya, Masami and Tanabe, Yoshinori and Yamamoto, Mitsuharu},
 title = {Cache-Based Model Checking of Networked Applications: From Linear to Branching Time},
 booktitle = {Proc.\ 2009 IEEE/ACM Int.\ Conf.\ on Automated Software Engineering (ASE~2009)},
 year = {2009},
 month = "November",
 isbn = {978-0-7695-3891-4},
 pages = {447--458},
 numpages = {12},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
 keywords = {Software model checking, caching, input/output, networking, software verification},
}

@inproceedings{ase-2011,
author = {Leungwattanakit, Watcharin and Artho, Cyrille and Hagiya, Masami and Tanabe, Yoshinori and Yamamoto, Mitsuharu},
title = "Model Checking Distributed Systems by Combining Caching and Process Checkpointing",
year = {2011},
 booktitle = {Proc.\ 2011 IEEE/ACM Int.\ Conf.\ on Automated Software Engineering (ASE~2011)},
}

@ARTICLE{chaudhary08,
title={A Comparison of Virtualization Technologies for {HPC}},
author={Chaudhary, V. and Minsuk Cha and Walters, J.P. and Guercio, S. and Gallo, S.},
journal={22nd Int.\ Conf.\ on Advanced Information Networking and Applications},
year={2008},
month={March},
volume={},
number={},
pages={861-868},
doi={10.1109/AINA.2008.45},
ISSN={1550-445X}
}

@MISC{gcc,
YEAR = {2010},
TITLE = "{{GCC} online documentation}",
URL = "http://gcc.gnu.org/onlinedocs/"
}

@MISC{openvz,
key = "OpenVZ",
title = "{OpenVZ} documentation",
note = "\url{http://wiki.openvz.org}"
}

@Misc{kvm,
author = "{Red Hat, Inc.}",
title = "{KVM}",
howpublished = {\url{http://www.linux-kvm.org}}
}

@MISC{qemu,
author = "{QEMU Team}",
title = "{QEMU}",
howpublished = "\url{http://wiki.qemu.org}"
}

@MISC{thttpd,
author = "{ACME Laboratories}",
title = "thttpd - tiny/turbo/throttling {HTTP} server",
howpublished = "\url{http://www.acme.com/software/thttpd/}"
}

@MISC{libvirt,
author = "Daniel Veillard",
title = "libvirt Virtualization {API}",
howpublished = "\url{http://libvirt.org/index.html}"
}

@MISC{apache-ant,
author = "{Apache Software Foundation}",
title = "Apache Ant",
howpublished = "\url{http://ant.apache.org/}"
}

@article{diffie76,
  author = {Whitfield Diffie and Martin E. Hellman},
  interhash = {252b1ee0e74b97af1dfeba816199860c},
  intrahash = {2d81e53d42e83929ef48c5c676da2951},
  journal = {IEEE Transactions on Information Theory},
  number = 6,
  pages = {644-654},
  title = {New Directions in Cryptography},
  volume = 22,
  year = 1976,
  topic = {diffiehellman[1]},
  keywords = {imported},
  added-at = {2009-01-14T00:43:43.000+0100},
  description = {dret'd bibliography},
  month = {November}
}

@article{hsueh97,
    author = "M. Hsueh and T. Tsai and R. Iyer",
    title = "Fault Injection Techniques and Tools",
    journal = "IEEE Computer",
    volume = "30",
    number = "4",
    pages = "75--82",
    year = "1997",
}

@ARTICLE{ruth05,
author={Ruth, Paul and Jiang, Xuxian and Xu, Dongyan and Goasguen, Sebastian},
journal={Computer},
title={Virtual distributed environments in a shared infrastructure},
year={2005},
volume={38},
number={5},
pages={63 - 69},
keywords={ PlanetLab overlay infrastructure; Violin-based middleware system; grid computing; virtual distributed environment; virtual machine; virtual network technologies; IP networks; grid computing; message passing; middleware; transport protocols; virtual machines; virtual private networks;},
ISSN={0018-9162}
} 

@inproceedings{stoller01,
 author = {Scott D. Stoller and Yanhong A. Liu},
 title = {Transformations for model checking distributed {Java} programs},
 booktitle = {SPIN '01: Proc.\ 8th international SPIN workshop on Model checking of software},
 year = {2001},
 isbn = {3-540-42124-6},
 pages = {192--199},
 location = {Toronto, Ontario, Canada},
 publisher = {Springer-Verlag New York, Inc.},
 address = {NY, USA},
 }

@inproceedings{groce02,
 author = {Groce, Alex and Visser, Willem},
 title = {Heuristic Model Checking for {Java} Programs},
 booktitle = {Proc.\ 9th International SPIN Workshop on Model Checking of Software},
 year = {2002},
 isbn = {3-540-43477-1},
 pages = {242--245},
 publisher = {Springer-Verlag},
 address = {London, UK},
}

@inproceedings{king05,
  author = {S. King and G. Dunlap and P. Chen},
  title = {Debugging Operating Systems with Time-Traveling Virtual Machines},
  booktitle = {Proc.\ USENIX 2005 Annual Technical Conf.},
  year = 2005,
  pages = {1--15},
  address = {Anaheim, USA},
}
